"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-EEVZF2QK.cjs');
require('../../chunk-BITL74HN.cjs');
require('../../chunk-INPXH7MS.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-UFYK2UFZ.cjs');
require('../../chunk-LKES6YKV.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-H6AB4FMJ.cjs');
require('../../chunk-5FJUCYJY.cjs');
require('../../chunk-Y6CRN6RB.cjs');
require('../../chunk-OU5PS6DI.cjs');
require('../../chunk-SDJIWERF.cjs');
require('../../chunk-3NMAI5OB.cjs');
require('../../chunk-PTMJU2KN.cjs');
require('../../chunk-62FVEJL6.cjs');
require('../../chunk-4NQ3UVUM.cjs');
require('../../chunk-CGEBQML7.cjs');
require('../../chunk-DUJ63NPX.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-BS7LZTVN.cjs');
require('../../chunk-QZHRO76T.cjs');
require('../../chunk-H5CRRFPC.cjs');
require('../../chunk-MKPXOLNJ.cjs');
require('../../chunk-H6JJT73E.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-RQERABKF.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-TVMYMQ3E.cjs');
require('../../chunk-EX6RJ3WB.cjs');
require('../../chunk-G3RAF7HY.cjs');
require('../../chunk-BBX7CCGY.cjs');
require('../../chunk-DCCSUOSM.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');


var _chunkXWE2OTGLcjs = require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');



var _chunkCEXYDYSHcjs = require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');


var _chunkQU2LM4AIcjs = require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/data/sorted.spec.ts
describe("sorted", () => {
  const sorted = _chunkXWE2OTGLcjs.useSorted.call(void 0, );
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort, index) => ({ index, sort }));
  it("should add correctly", () => {
    expect(sorted.start(items)).toBeLessThan(list[0]);
    expect(sorted.end(items)).toBeGreaterThan(_chunkQU2LM4AIcjs.last.call(void 0, list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = _chunkCEXYDYSHcjs.arrayShuffleForce.call(void 0, items);
    expect(shuffledItems.map((el) => el.sort)).not.toEqual(list);
    expect(sorted.items(shuffledItems).map((el) => el.sort)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort: i
      });
    }
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort = sorted.move(1, 8, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = sorted.items(items2);
    const moveItem2 = items2[1];
    _chunkCEXYDYSHcjs.arrayShuffleInPlace.call(void 0, items2);
    moveItem2.sort = sorted.move(8, 1, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sorted.spec.cjs.map