"use strict";


var _chunkUFYK2UFZcjs = require('../chunk-UFYK2UFZ.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-RQERABKF.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-TVMYMQ3E.cjs');
require('../chunk-EX6RJ3WB.cjs');
require('../chunk-G3RAF7HY.cjs');
require('../chunk-DCCSUOSM.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-L646RZQB.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-R7WMTFSS.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-GU6AYGWK.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-7WFR6WZW.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-USVMO7UT.cjs');
require('../chunk-TNS27NHR.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-HMHMDCOK.cjs');
require('../chunk-3SM3C7HY.cjs');
require('../chunk-EE5CB3R7.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-5KIDARFB.cjs');
require('../chunk-CEXYDYSH.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-XDY4SRCL.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-QU2LM4AI.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-66YRDFQP.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await _chunkUFYK2UFZcjs.fetchText.call(void 0, "https://holtwick.de");
      expect(html).toContain("<html");
    } else {
      const html = await _chunkUFYK2UFZcjs.fetchText.call(void 0, "/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(_chunkUFYK2UFZcjs.parseBasicAuth.call(void 0, url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.cjs.map